[Git][ghc/ghc][wip/T18599] freshen up the test script

Shayne Fletcher gitlab at gitlab.haskell.org
Sun Oct 25 20:35:38 UTC 2020



Shayne Fletcher pushed to branch wip/T18599 at Glasgow Haskell Compiler / GHC


Commits:
58b13043 by Shayne Fletcher at 2020-10-25T16:35:19-04:00
freshen up the test script

- - - - -


1 changed file:

- record-dot-syntax-test.sh


Changes:

=====================================
record-dot-syntax-test.sh
=====================================
@@ -1,9 +1,24 @@
 #!/usr/bin/env bash
 
+set -euo pipefail
+
 PATH=`pwd`/_build/stage1/bin:$PATH; export PATH
-make test TEST=RecordDotSyntax
-make test TEST=RecordDotSyntaxFail0
-make test TEST=RecordDotSyntaxFail1
-make test TEST=RecordDotSyntaxFail2
-make test TEST=RecordDotSyntaxFail3
-make test TEST=RecordDotSyntaxFail4
+
+tests=(                    \
+      RecordDotSyntax      \
+      RecordDotSyntaxFail0 \
+      RecordDotSyntaxFail1 \
+      RecordDotSyntaxFail2 \
+      RecordDotSyntaxFail3 \
+      RecordDotSyntaxFail4 \
+ )
+
+test () {
+  printf "make test TEST=$%s\n" $1
+  make test TEST=$1
+}
+
+for t in "${tests[@]}"
+do
+  test $t
+done



View it on GitLab: https://gitlab.haskell.org/ghc/ghc/-/commit/58b130435474aca0e0c40036819da031816838b5

-- 
View it on GitLab: https://gitlab.haskell.org/ghc/ghc/-/commit/58b130435474aca0e0c40036819da031816838b5
You're receiving this email because of your account on gitlab.haskell.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.haskell.org/pipermail/ghc-commits/attachments/20201025/1400d2f1/attachment-0001.html>


More information about the ghc-commits mailing list